;(function(){
	window.article={
		init:function(){
			var mod=util.getUrlParam('module');
			var data=util.getPortal();
			if(data==false){
				CONFIG.data=initdata[mod];
			}else{
				CONFIG.data=data[mod]==''?initdata[mod]:data[mod];
			}
			
			article.loaddata();

			$('#page_title').text(CONFIG.data.title);
			document.title=CONFIG.data.title;
			
		},
		loaddata:function(){
			article.layout();
		},
		isdisplay:function(val){
			return val==''?'none':'block';
		},
		layout:function(){
			if(CONFIG.data=='')return;
			var tpl=$('#iscroller').html();
			var html='';
			for (var i = 0; i < CONFIG.data.data.length; i++) {
				var item=CONFIG.data.data[i];
				
				html+=util.sprintf(tpl,this.isdisplay(item.img),item.img,this.isdisplay(item.title),item.title);
			};
			$('#iscroller').html(html).show();
			$('img').each(function(){
				var url=$(this).attr('src');
				if(url==''||url==undefined){
					$(this).parent().hide();
				}
			});
		}
	};
})();